.mat-form-field {
    font-weight: 500;
}

.mat-form-field-appearance-fill .mat-form-field-flex {
    padding: 7.8px 0.75em 0 0.75em !important;
    border-radius: 12px !important;
    padding-left: 15px !important;
    padding-right: 15px !important;
}

.mat-form-field[no-space] {
    .mat-form-field-wrapper {
        position: relative;
        padding-bottom: 0 !important;
    }

    .mat-form-field-underline {
        bottom: 0;
    }
}

.mat-form-field[round] {
    width: 100% !important;
    width: -webkit-fill-available !important;
    .mat-form-field-wrapper {
        position: relative;
        padding-bottom: 0 !important;
    }

    .mat-form-field-underline {
        bottom: 0;
        display: none !important;
    }

    .mat-form-field-flex {
        border-radius: 12px !important;
    }
}

.mat-form-field.mat-focused {
    .mat-form-field-label {
        color: var(--ion-color-primary) !important;
    }
    .mat-form-field-flex {
        border: solid 2px var(--ion-color-primary) ;
    }
    .mat-icon{
        color: var(--ion-color-primary) !important;
    }
}

.mat-form-field-appearance-fill {
    .mat-form-field-flex {
        background-color: #767d8836;
        border: solid 2px #69737e67 ;
    }
}
